Why Can’t I Enable the CA Application Test for Selenium Builder Plugin?

Document ID : KB000004133
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

I can't enable the plugin "CA Application Test for Selenium Builder" for Selenium builder 3. It complains "This version of the plugin is too old. Maximum supported Builder Version 2.*. Current Builder version: 3.0.5. Try updating the plugin.

Environment:
DevTest 9.0.0, Windows 7
Cause:

In our DevTest 9.0.0 documentation we require Selenium Builder 1.0 (https://docops.ca.com/display/DTS90/Install+the+CA+Application+Test+for+Selenium+Builder+1.0+Plugin)

When installing Selenium Builder and the only version available now is version 3.0.5.  Selenium Builder 1.0 is no longer available.

Our DevTest plugin is not compatible with Selenium Builder 3.0.5.

Resolution:

I can't enable the plugin "CA Application Test for Selenium Builder" for Selenium builder 3. It complains "This version of the plugin is too old. Maximum supported Builder Version 2.*. Current Builder version: 3.0.5. Try updating the plugin.

 

Environment:  

DevTest 9.0.0, Windows 7

 

Cause: 

In our DevTest 9.0.0 documentation we require Selenium Builder 1.0 (https://docops.ca.com/display/DTS90/Install+the+CA+Application+Test+for+Selenium+Builder+1.0+Plugin)

When installing Selenium Builder and the only version available now is version 3.0.5.  Selenium Builder 1.0 is no longer available.

Our DevTest plugin is not compatible with Selenium Builder 3.0.5.

 

Resolution:

1.     <!--[endif]-->Go to your [Firefox profile]\SeBuilder\plugins directory.  

2.     <!--[endif]-->To find your Firefox profile: From Firefox, select Help, Troubleshooting information.

3.     <!--[endif]-->Under Application Basics: On Windows, depending on the Firefox version, click Show Folder (Windows), Open Directory (Linux), or Open Containing Folder.

4.     <!--[endif]-->Go to folder \SeBuilder3\plugins\lisa 

5.     <!--[endif]-->Edit header.json

6.     <!--[endif]-->Change from

"builderMaxVersion": "2.*",

Change to

"builderMaxVersion": "3.*",

7.     <!--[endif]-->Restart your Firefox Browser

8.     <!--[endif]-->Choose open Menu

9.     <!--[endif]-->Choose Developer

10.<!--[endif]-->Choose Manage plugins

11.<!--[endif]-->Choose Enable on the CA Application Test for Selenium Builder 1.0 plugin.